## kf6-knewstuff 6.19.0+p24.04+vunstable+git20251008.1236

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: KDE Contributors
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.20.0") # handled by release scripts
set(KF_DEP_VERSION "6.19.0") # handled by release scripts
project(KNewStuff VERSION ${KF_VERSION})

set(CMAKE_CXX_EXTENSIONS OFF)

include(FeatureSummary)
find_package(ECM 6.19.0 NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)

include(ECMGenerateQDoc)
include(ECMQmlModule)
include(ECMQtDeclareLoggingCategory)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

set(REQUIRED_QT_VERSION 6.7.0)
find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED COMPONENTS Gui Widgets Xml Qml Quick QuickWidgets)
find_package(KF6Archive ${KF_DEP_VERSION} REQUIRED)
find_package(KF6Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF6CoreAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF6I18n ${KF_DEP_VERSION} REQUIRED)
find_package(KF6Package ${KF_DEP_VERSION} REQUIRED)
find_package(KF6WidgetsAddons ${KF_DEP_VERSION} REQUIRED)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMDeprecationSettings)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(CMakeDependentOption)

find_package(KF6Attica ${KF_DEP_VERSION} CONFIG REQUIRED)
set_package_properties(KF6Attica PROPERTIES DESCRIPTION "A Qt library that implements the Open Collaboration Services API"
                       PURPOSE "Support for Get Hot New Stuff in KNewStuff"
                       URL "https://commits.kde.org/attica"
                       TYPE REQUIRED
                      )
find_package(KF6Kirigami2 2.12.0)
set_package_properties(KF6Kirigami2 PROPERTIES
    DESCRIPTION "KDE's lightweight user interface framework for mobile and convergent applications"
    URL "https://techbase.kde.org/Kirigami"
    PURPOSE "Required by KNewStuffQuick's qml components"
    TYPE RUNTIME)

find_package(KF6Syndication ${KF6_DEP_VERSION})
set_package_properties(KF6Syndication PROPERTIES
    DESCRIPTION "KDE's RSS/Atom parser library"
    PURPOSE "Used by the OPDS provider to handle most of the parsing."
    TYPE OPTIONAL
)

cmake_dependent_option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON "NOT CMAKE_CROSSCOMPILING" OFF)
add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Build plugin for Qt Designer")

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

ecm_setup_version(PROJECT VARIABLE_PREFIX KNEWSTUFF
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/knewstuff_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6NewStuffConfigVersion.cmake"
                        SOVERSION 6)
ecm_setup_version(PROJECT VARIABLE_PREFIX KNEWSTUFFCORE
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6NewStuffCoreConfigVersion.cmake"
                        SOVERSION 6)
ecm_setup_version(PROJECT VARIABLE_PREFIX KNEWSTUFFWIDGETS
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6NewStuffWidgetsConfigVersion.cmake"
                        SOVERSION 6)

add_definitions(-DTRANSLATION_DOMAIN=\"knewstuff6\")
ecm_set_disabled_deprecation_versions(
    QT 6.10.0
    KF 6.18.0
)

ki18n_install(po)
add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6NewStuff")
set(CMAKECONFIG_CORE_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6NewStuffCore")

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF6NewStuffConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6NewStuffConfig.cmake"
  INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF6NewStuffCoreConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6NewStuffCoreConfig.cmake"
  INSTALL_DESTINATION ${CMAKECONFIG_CORE_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF6NewStuffConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6NewStuffConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)
install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF6NewStuffCoreConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6NewStuffCoreConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_CORE_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF6NewStuffTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF6NewStuffTargets.cmake NAMESPACE KF6::)
install(EXPORT KF6NewStuffCoreTargets DESTINATION "${CMAKECONFIG_CORE_INSTALL_DIR}" FILE KF6NewStuffCoreTargets.cmake NAMESPACE KF6::)

install(
  FILES ${CMAKE_CURRENT_BINARY_DIR}/knewstuff_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KNewStuff
  COMPONENT Devel
)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kf6-knewstuff (6.19.0+p24.04+vunstable+git20251008.1236-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 12:36:44 +0000

=== debian/control ===
Source: kf6-knewstuff
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kde-qdoc-common-dev,
               kf6-attica-dev,
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kbookmarks-dev,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-kirigami2-dev,
               kf6-kitemviews-dev,
               kf6-kjobwidgets-dev,
               kf6-kpackage-dev,
               kf6-kservice-dev,
               kf6-ktextwidgets-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kxmlgui-dev,
               kf6-solid-dev,
               kf6-syndication-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/frameworks/knewstuff
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-knewstuff.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-knewstuff
Maintainer: Neon CI <neon@kde.org>

Package: kf6-knewstuff
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-kcmutils,
         kf6-kirigami2,
         qt6-5compat,
         qt6-base,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: knewstuff-dialog6,
          libkf6newstuff-data,
          libkf6newstuff6,
          libkf6newstuffcore6,
          libkf6newstuffwidgets6,
          qml6-module-org-kde-newstuff
Description: Support for downloading application assets from the network.
 Framework for downloading and sharing additional
 application data.
 .
 This package contains the data files.

Package: kf6-knewstuff-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-attica-dev,
         kf6-kcoreaddons-dev,
         kf6-knewstuff (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libkf6newstuff-dev, libkf6newstuff-doc
Description: development files for knewstuff
 Framework for downloading and sharing additional
 application data.
 .
 Contains development files for knewstuff.

Package: knewstuff6-dialog
Architecture: all
Depends: kf6-knewstuff, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6newstuff6
Architecture: all
Depends: kf6-knewstuff, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6newstuff-data
Architecture: all
Depends: kf6-knewstuff, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6newstuff-doc
Architecture: all
Depends: kf6-knewstuff-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6newstuff-dev
Architecture: all
Depends: kf6-knewstuff-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6newstuffcore6
Architecture: all
Depends: kf6-knewstuff, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6newstuffwidgets6
Architecture: all
Depends: kf6-knewstuff, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-org-kde-newstuff
Architecture: all
Depends: kf6-knewstuff, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

=== debian/tests/control ===
Tests: testsuite
Depends: build-essential, kate, xauth, xvfb, @, @builddeps@
Restrictions: build-needed

Tests: acc
Depends: dh-acc, exuberant-ctags, @
Restrictions: allow-stderr

## kf6-knewstuff 6.19.0+p24.04+vunstable+git20251020.1033

=== debian/changelog ===
kf6-knewstuff (6.19.0+p24.04+vunstable+git20251020.1033-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 10:34:08 +0000

## kf6-knewstuff 6.20.0

=== autotests/core/CMakeLists.txt ===
# SPDX-FileCopyrightText: Alexander Lohnau <alexander.lohnau@gmx.de>
# SPDX-License-Identifier: BSD-2-Clause

remove_definitions(-DQT_NO_CAST_FROM_ASCII)

if (WIN32)
    set(DATA_DIR "/${CMAKE_CURRENT_BINARY_DIR}/data/")
else()
    set(DATA_DIR "${CMAKE_CURRENT_BINARY_DIR}/data/")
endif()
configure_file(data/entry.xml.in data/entry.xml)
configure_file(data/provider.xml.in data/provider.xml)
configure_file(data/enginetest.knsrc.in data/enginetest.knsrc)
configure_file(data/installationtest.knsrc.in data/installationtest.knsrc)

knewstuff_unit_tests(
    knewstuffauthortest.cpp
    knewstuffenginetest.cpp
    installationtest.cpp
)

if(LINUX) # fails on freebsd for unknown reasons
    knewstuff_unit_tests(atticaprovidertest.cpp)
endif()

target_link_libraries(knewstuffenginetest knewstuff_qml_STATIC)

set_tests_properties(knewstuff-installationtest PROPERTIES ENVIRONMENT "LANG=C")

=== debian/changelog ===
kf6-knewstuff (6.20.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.20.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Nov 2025 19:26:40 +0100

=== debian/control ===
Source: kf6-knewstuff
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.20.0~),
               gettext,
               libkf6archive-dev (>= 6.20.0~),
               libkf6attica-dev (>= 6.20.0~),
               libkf6config-dev (>= 6.20.0~),
               libkf6coreaddons-dev (>= 6.20.0~),
               libkf6i18n-dev (>= 6.20.0~),
               libkf6package-dev (>= 6.20.0~),
               libkf6syndication-dev (>= 6.0.0~),
               libkf6widgetsaddons-dev (>= 6.20.0~),
               libkirigami-dev (>= 2.12.0~),
               libxkbcommon-dev,
               qml6-module-org-kde-kcmutils,
               qt6-base-dev (>= 6.8.0~),
               qt6-base-private-dev (>= 6.5.0+dfsg~),
               qt6-declarative-dev (>= 6.8.0~),
               qt6-declarative-private-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/knewstuff
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-knewstuff
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-knewstuff.git
Rules-Requires-Root: no

Package: knewstuff-dialog6
Architecture: any
Depends: libkf6newstuff-data (= ${source:Version}),
         qml6-module-org-kde-newstuff (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Support for downloading application assets from the network
 Framework for downloading and sharing additional
 application data.
 .
 This package contains standalone tool for use by apps which don't
 want a hard dependency.

Package: libkf6newstuff-data
Architecture: all
Depends: ${misc:Depends},
Multi-Arch: foreign
Description: Support for downloading application assets from the network
 Framework for downloading and sharing additional
 application data.
 .
 This package contains the data files.

Package: libkf6newstuff-dev
Section: libdevel
Architecture: any
Depends: libkf6attica-dev (>= 6.20.0~),
         libkf6coreaddons-dev (>= 6.20.0~),
         libkf6newstuffcore6 (= ${binary:Version}),
         libkf6newstuffwidgets6 (= ${binary:Version}),
         qml6-module-org-kde-newstuff (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6newstuff-doc (= ${source:Version}),
Description: development files for knewstuff
 Framework for downloading and sharing additional
 application data.
 .
 Contains development files for knewstuff.

Package: libkf6newstuff-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Support for downloading application assets from the network (documentation)
 Framework for downloading and sharing additional
 application data.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6newstuffcore6
Architecture: any
Multi-Arch: same
Depends: libkf6newstuff-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: qml6-module-org-kde-newstuff (= ${binary:Version}),
Description: Support for downloading application assets from the network
 Framework for idownloading and sharing additional
 application data.

Package: libkf6newstuffwidgets6
Architecture: any
Multi-Arch: same
Depends: libkf6newstuff-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Support for downloading application assets from the network
 Framework for idownloading and sharing additional
 application data.

Package: qml6-module-org-kde-newstuff
Architecture: any
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Support for downloading application assets from the network
 Framework for downloading and sharing additional
 application data.
 .
 This package contains the runtime files.

## kf6-knewstuff 6.20.0+p24.04+vunstable+git20251201.0102

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,14 +3,14 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.20.0") # handled by release scripts
-set(KF_DEP_VERSION "6.19.0") # handled by release scripts
+set(KF_VERSION "6.21.0") # handled by release scripts
+set(KF_DEP_VERSION "6.20.0") # handled by release scripts
 project(KNewStuff VERSION ${KF_VERSION})
 
 set(CMAKE_CXX_EXTENSIONS OFF)
 
 include(FeatureSummary)
-find_package(ECM 6.19.0 NO_MODULE)
+find_package(ECM 6.20.0 NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -23,7 +23,7 @@
 include(ECMQtDeclareLoggingCategory)
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 
-set(REQUIRED_QT_VERSION 6.7.0)
+set(REQUIRED_QT_VERSION 6.8.0)
 find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED COMPONENTS Gui Widgets Xml Qml Quick QuickWidgets)
 find_package(KF6Archive ${KF_DEP_VERSION} REQUIRED)
 find_package(KF6Config ${KF_DEP_VERSION} REQUIRED)
@@ -79,7 +79,7 @@
 add_definitions(-DTRANSLATION_DOMAIN=\"knewstuff6\")
 ecm_set_disabled_deprecation_versions(
     QT 6.10.0
-    KF 6.18.0
+    KF 6.19.0
 )
 
 ki18n_install(po)

=== debian/changelog ===
kf6-knewstuff (6.20.0+p24.04+vunstable+git20251201.0102-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Dec 2025 01:03:10 +0000

kf6-knewstuff (6.20.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 15:33:49 +1000

## kf6-knewstuff 6.20.0+p24.04+vunstable+git20251206.0644

=== debian/changelog ===
kf6-knewstuff (6.20.0+p24.04+vunstable+git20251206.0644-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 06:44:20 +0000

## kf6-knewstuff 6.21.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,13 +4,13 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(KF_VERSION "6.21.0") # handled by release scripts
-set(KF_DEP_VERSION "6.20.0") # handled by release scripts
+set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 project(KNewStuff VERSION ${KF_VERSION})
 
 set(CMAKE_CXX_EXTENSIONS OFF)
 
 include(FeatureSummary)
-find_package(ECM 6.20.0 NO_MODULE)
+find_package(ECM 6.21.0 NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

=== debian/changelog ===
kf6-knewstuff (6.21.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.21.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 12 Dec 2025 11:52:15 +0000

kf6-knewstuff (6.20.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.20.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Nov 2025 16:15:00 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-knewstuff
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -10,30 +11,30 @@
                dh-sequence-qmldeps,
                cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.20.0~),
+               extra-cmake-modules (>= 6.21.0~),
                gettext,
-               libkf6archive-dev (>= 6.20.0~),
-               libkf6attica-dev (>= 6.20.0~),
-               libkf6config-dev (>= 6.20.0~),
-               libkf6coreaddons-dev (>= 6.20.0~),
-               libkf6i18n-dev (>= 6.20.0~),
-               libkf6package-dev (>= 6.20.0~),
-               libkf6syndication-dev (>= 6.0.0~),
-               libkf6widgetsaddons-dev (>= 6.20.0~),
-               libkirigami-dev (>= 2.12.0~),
+               libkf6archive-dev (>= 6.21.0~),
+               libkf6attica-dev (>= 6.21.0~),
+               libkf6config-dev (>= 6.21.0~),
+               libkf6coreaddons-dev (>= 6.21.0~),
+               libkf6i18n-dev (>= 6.21.0~),
+               libkf6package-dev (>= 6.21.0~),
+               libkf6syndication-dev (>= 6.21.0~),
+               libkf6widgetsaddons-dev (>= 6.21.0~),
+               libkirigami-dev (>= 6.21.0~),
                libxkbcommon-dev,
-               qml6-module-org-kde-kcmutils,
+               qml6-module-org-kde-kcmutils (>= 6.21.0~),
                qt6-base-dev (>= 6.8.0~),
-               qt6-base-private-dev (>= 6.5.0+dfsg~),
+               qt6-base-private-dev (>= 6.8.0+dfsg~),
                qt6-declarative-dev (>= 6.8.0~),
-               qt6-declarative-private-dev (>= 6.5.0+dfsg~),
-               qt6-tools-dev (>= 6.5.0~),
+               qt6-declarative-private-dev (>= 6.8.0+dfsg~),
+               qt6-tools-dev (>= 6.8.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/knewstuff
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-knewstuff
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-knewstuff.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-knewstuff
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-knewstuff
 Rules-Requires-Root: no
 
 Package: knewstuff-dialog6
@@ -42,6 +43,8 @@
          qml6-module-org-kde-newstuff (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
+Breaks: libkf6newstuff-data (<< 6.11.0-1~),
+Replaces: libkf6newstuff-data (<< 6.11.0-1~),
 Description: Support for downloading application assets from the network
  Framework for downloading and sharing additional
  application data.
@@ -62,8 +65,8 @@
 Package: libkf6newstuff-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6attica-dev (>= 6.20.0~),
-         libkf6coreaddons-dev (>= 6.20.0~),
+Depends: libkf6attica-dev (>= 6.21.0~),
+         libkf6coreaddons-dev (>= 6.21.0~),
          libkf6newstuffcore6 (= ${binary:Version}),
          libkf6newstuffwidgets6 (= ${binary:Version}),
          qml6-module-org-kde-newstuff (= ${binary:Version}),
@@ -111,9 +114,7 @@
 
 Package: qml6-module-org-kde-newstuff
 Architecture: any
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: Support for downloading application assets from the network
  Framework for downloading and sharing additional
  application data.

## kf6-knewstuff 6.21.0+p24.04+vstable+git20251207.0917

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.21.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
 set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 project(KNewStuff VERSION ${KF_VERSION})

## kf6-knewstuff 6.21.0+p24.04+vstable+git20251224.0651

=== debian/changelog ===
kf6-knewstuff (6.21.0+p24.04+vstable+git20251224.0651-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 06:52:08 +0000

kf6-knewstuff (6.21.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 15:11:42 +1000

## kf6-knewstuff 6.21.0+p24.04+vstable+git20260103.0358

=== debian/changelog ===
kf6-knewstuff (6.21.0+p24.04+vstable+git20260103.0358-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 03:58:48 +0000

## kf6-knewstuff 6.21.0+p24.04+vunstable+git20251207.0917

=== debian/changelog ===
kf6-knewstuff (6.21.0+p24.04+vunstable+git20251207.0917-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 09:18:00 +0000

## kf6-knewstuff 6.21.0+p24.04+vunstable+git20260104.0125

=== debian/changelog ===
kf6-knewstuff (6.21.0+p24.04+vunstable+git20260104.0125-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 04 Jan 2026 01:25:30 +0000

## kf6-knewstuff 6.22.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,13 +4,13 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(KF_VERSION "6.22.0") # handled by release scripts
-set(KF_DEP_VERSION "6.21.0") # handled by release scripts
+set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 project(KNewStuff VERSION ${KF_VERSION})
 
 set(CMAKE_CXX_EXTENSIONS OFF)
 
 include(FeatureSummary)
-find_package(ECM 6.21.0 NO_MODULE)
+find_package(ECM 6.22.0 NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -78,8 +78,8 @@
 
 add_definitions(-DTRANSLATION_DOMAIN=\"knewstuff6\")
 ecm_set_disabled_deprecation_versions(
-    QT 6.10.0
-    KF 6.19.0
+    QT 6.11.0
+    KF 6.21.0
 )
 
 ki18n_install(po)

=== debian/changelog ===
kf6-knewstuff (6.22.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.22.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Jan 2026 18:31:26 +0000

=== debian/control ===
--- 
+++ 
@@ -5,25 +5,25 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.21.0~),
+               extra-cmake-modules (>= 6.22.0~),
                gettext,
-               libkf6archive-dev (>= 6.21.0~),
-               libkf6attica-dev (>= 6.21.0~),
-               libkf6config-dev (>= 6.21.0~),
-               libkf6coreaddons-dev (>= 6.21.0~),
-               libkf6i18n-dev (>= 6.21.0~),
-               libkf6package-dev (>= 6.21.0~),
-               libkf6syndication-dev (>= 6.21.0~),
-               libkf6widgetsaddons-dev (>= 6.21.0~),
-               libkirigami-dev (>= 6.21.0~),
+               libkf6archive-dev (>= 6.22.0~),
+               libkf6attica-dev (>= 6.22.0~),
+               libkf6config-dev (>= 6.22.0~),
+               libkf6coreaddons-dev (>= 6.22.0~),
+               libkf6i18n-dev (>= 6.22.0~),
+               libkf6package-dev (>= 6.22.0~),
+               libkf6syndication-dev (>= 6.22.0~),
+               libkf6widgetsaddons-dev (>= 6.22.0~),
+               libkirigami-dev (>= 6.22.0~),
                libxkbcommon-dev,
-               qml6-module-org-kde-kcmutils (>= 6.21.0~),
+               qml6-module-org-kde-kcmutils (>= 6.22.0~),
                qt6-base-dev (>= 6.8.0~),
                qt6-base-private-dev (>= 6.8.0+dfsg~),
                qt6-declarative-dev (>= 6.8.0~),
@@ -65,8 +65,8 @@
 Package: libkf6newstuff-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6attica-dev (>= 6.21.0~),
-         libkf6coreaddons-dev (>= 6.21.0~),
+Depends: libkf6attica-dev (>= 6.22.0~),
+         libkf6coreaddons-dev (>= 6.22.0~),
          libkf6newstuffcore6 (= ${binary:Version}),
          libkf6newstuffwidgets6 (= ${binary:Version}),
          qml6-module-org-kde-newstuff (= ${binary:Version}),

## kf6-knewstuff 6.22.0+p24.04+vstable+git20260106.1127

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_VERSION "6.23.0") # handled by release scripts
 set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 project(KNewStuff VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-knewstuff (6.22.0+p24.04+vstable+git20260106.1127-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 11:27:44 +0000

kf6-knewstuff (6.22.0-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 16:43:18 +1000

## kf6-knewstuff 6.22.0+p24.04+vstable+git20260111.0510

=== debian/changelog ===
kf6-knewstuff (6.22.0+p24.04+vstable+git20260111.0510-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 11 Jan 2026 05:10:51 +0000

## kf6-knewstuff 6.22.0+p24.04+vunstable+git20260106.1118

=== debian/changelog ===
kf6-knewstuff (6.22.0+p24.04+vunstable+git20260106.1118-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 11:19:01 +0000

## kf6-knewstuff 6.22.0+p24.04+vunstable+git20260116.0305

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-FileCopyrightText: KDE Contributors
 # SPDX-License-Identifier: BSD-2-Clause
 
-cmake_minimum_required(VERSION 3.16)
+cmake_minimum_required(VERSION 3.27)
 
 set(KF_VERSION "6.23.0") # handled by release scripts
 set(KF_DEP_VERSION "6.22.0") # handled by release scripts

=== debian/changelog ===
kf6-knewstuff (6.22.0+p24.04+vunstable+git20260116.0305-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 16 Jan 2026 03:05:22 +0000

## kf6-knewstuff 6.23.0

=== debian/changelog ===
kf6-knewstuff (6.23.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.23.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Drop Priority: optional, not needed anymore since dpkg 1.22.13.
  * Drop armel bits, as that architecture was discontinued.
  * Improve build-time tests exclusion.
  * Add/update Nicolas Fella’s key in upstream keyring.
  * Use DEB_HOST_MULTIARCH in libraries install path.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Feb 2026 16:46:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,41 +1,38 @@
 Source: kf6-knewstuff
 Section: libs
-Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
+               cmake (>= 3.27~),
                doxygen,
-               extra-cmake-modules (>= 6.22.0~),
+               extra-cmake-modules (>= 6.23.0~),
                gettext,
-               libkf6archive-dev (>= 6.22.0~),
-               libkf6attica-dev (>= 6.22.0~),
-               libkf6config-dev (>= 6.22.0~),
-               libkf6coreaddons-dev (>= 6.22.0~),
-               libkf6i18n-dev (>= 6.22.0~),
-               libkf6package-dev (>= 6.22.0~),
-               libkf6syndication-dev (>= 6.22.0~),
-               libkf6widgetsaddons-dev (>= 6.22.0~),
-               libkirigami-dev (>= 6.22.0~),
+               libkf6archive-dev (>= 6.23.0~),
+               libkf6attica-dev (>= 6.23.0~),
+               libkf6config-dev (>= 6.23.0~),
+               libkf6coreaddons-dev (>= 6.23.0~),
+               libkf6i18n-dev (>= 6.23.0~),
+               libkf6package-dev (>= 6.23.0~),
+               libkf6syndication-dev (>= 6.0.0~),
+               libkf6widgetsaddons-dev (>= 6.23.0~),
+               libkirigami-dev (>= 2.12.0~),
                libxkbcommon-dev,
-               qml6-module-org-kde-kcmutils (>= 6.22.0~),
+               qml6-module-org-kde-kcmutils,
                qt6-base-dev (>= 6.8.0~),
-               qt6-base-private-dev (>= 6.8.0+dfsg~),
+               qt6-base-private-dev (>= 6.5.0+dfsg~),
                qt6-declarative-dev (>= 6.8.0~),
-               qt6-declarative-private-dev (>= 6.8.0+dfsg~),
-               qt6-tools-dev (>= 6.8.0~),
+               qt6-declarative-private-dev (>= 6.5.0+dfsg~),
+               qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://invent.kde.org/frameworks/knewstuff
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-knewstuff
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-knewstuff
-Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-knewstuff
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-knewstuff.git
 
 Package: knewstuff-dialog6
 Architecture: any
@@ -43,8 +40,6 @@
          qml6-module-org-kde-newstuff (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Breaks: libkf6newstuff-data (<< 6.11.0-1~),
-Replaces: libkf6newstuff-data (<< 6.11.0-1~),
 Description: Support for downloading application assets from the network
  Framework for downloading and sharing additional
  application data.
@@ -65,8 +60,8 @@
 Package: libkf6newstuff-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6attica-dev (>= 6.22.0~),
-         libkf6coreaddons-dev (>= 6.22.0~),
+Depends: libkf6attica-dev (>= 6.23.0~),
+         libkf6coreaddons-dev (>= 6.23.0~),
          libkf6newstuffcore6 (= ${binary:Version}),
          libkf6newstuffwidgets6 (= ${binary:Version}),
          qml6-module-org-kde-newstuff (= ${binary:Version}),
@@ -114,7 +109,9 @@
 
 Package: qml6-module-org-kde-newstuff
 Architecture: any
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Description: Support for downloading application assets from the network
  Framework for downloading and sharing additional
  application data.

=== debian/rules ===
#!/usr/bin/make -f

# Disable fixfilepath, as it triggers build failures.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=-fixfilepath optimize=+lto

export EXCLUDED_TESTS = knewstuff-atticaprovidertest

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_DESIGNERPLUGIN=ON

override_dh_auto_test:
	xvfb-run -a dh_auto_test -- ARGS+="-E \"^(${EXCLUDED_TESTS})\""
